# NOTE: Derived from blib/lib/Ace/Object.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Ace::Object;

#line 1795 "blib/lib/Ace/Object.pm (autosplit into blib/lib/auto/Ace/Object/commit.al)"
# commit changes from local copy to database copy
sub commit {
    my $self = shift;
    return unless my $db = $self->db;

    my ($retval,@cmd);
    my $name = $self->{'name'};
    return unless defined $name;

    $name =~ s/([^a-zA-Z0-9_-])/\\$1/g;
    return 1 unless exists $self->{'update'} && $self->{'update'};

    my $cmd = join('; ',"$self->{'class'} : $name",
		   @{$self->{'update'}});
    warn $cmd if $self->debug;
    my $result = $db->raw_query("parse = $cmd");

    $Ace::ERR = '';
    if (defined($result) and $result=~/write access/im) {  # this keeps changing
	$Ace::ERR = "Write access denied";
    } elsif ($result =~ /sorry|parse error/mi) {
	$Ace::ERR = $result;
    }
    undef $self->{'update'};
    return !$Ace::ERR;
}

# end of Ace::Object::commit
1;
